Summary:	Tag editor for MP3 and OGG files
Summary(pl):	Edytor etykiet plikw MP3 i OGG
Name:		easytag
Version:	0.29
Release:	1
License:	GPL
Vendor:		Jerome Couderc <j.couderc@ifrance.com>
Group:		X11/Applications
Source0:	http://dl.sourceforge.net/easytag/%{name}-%{version}.tar.bz2
# Source0-md5:	5a27b99d75af7f46d821dfb11b62f482
Patch0:		%{name}-no_inclusion_patch_in_configurein.patch
Patch1:		%{name}-desktop.patch
Patch2:		%{name}-ac_fix.patch
Patch3:		%{name}-errno.patch
URL:		http://easytag.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	flac-devel >= 1.1.0
BuildRequires:	gettext-devel
BuildRequires:	gtk+-devel      >= 1.2.7
BuildRequires:	id3lib-devel    >= 3.8.2
BuildRequires:	libogg-devel    >= 1.0
BuildRequires:	libvorbis-devel >= 1.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)


%description
EasyTAG is an utility for viewing, editing and writing tags of your
MP3, MP2, FLAC and OGG files. Its simple and nice GTK+ interface makes
tagging easier.

Features:
  - View, edit, write tags of MP3, MP2, FLAC files (supporting ID3v2 and
    ID3v1.x specifications) and OGG files,
  - Auto tagging: parse filename and directory to complete automatically
    the fields (using masks),
  - Ability to rename files from the tag (using masks) or by loading a
    txt file,
  - Process all files of the selected directory,
  - Ability to browse subdirectories,
  - Recursion for tagging, removing, renaming, saving...,
  - Can set a field (artist, title,...) to all other files,
  - Read file header informations (bitrate, time, ...) and display them,
  - A tree based browser,
  - A list to select files,
  - Simple and explicit interface!,
  - A playlist generator window,
  - A file searching window.

%description -l pl
EasyTAG to narzdzie do przegldania, modyfikownia i zapisywania
etykiet (tagw) w plikach MP3, MP2, FLAC i OGG. Prosty i miy
interfejs GTK+ uatwia to zadanie.

Moliwoci:
 - przegldanie, modyfikowanie, zapisywanie etykiet w plikach MP3,
   MP2, FLAC (z obsug formatw ID3v2 i ID3v1.x) i OGG
 - automatyczne etykietowanie: tworzenie pl na podstawie nazwy pliku
   i katalogu (przy uyciu masek)
 - moliwo zmiany nazw plikw na podstawie etykiet (przy uyciu
   masek) lub wczytujc je z pliku tekstowego
 - obrbka wszystkich plikw w podanym katalogu
 - moliwo przegldania podkatalogw
 - rekurencja przy etykietowaniu, usuwaniu, zmianie nazw, zapisywaniu
 - moliwo ustawienia pola (wykonawca, tytu...) we wszystkich
   pozostaych plikach
 - wczytywanie i wywietlanie informacji z nagwka (czas, jako)
 - przegldarka bazujca na drzewie
 - lista z wyborem plikw
 - prosty inferfejs
 - generowanie playlist
 - wyszukiwanie plikw.

%prep
%setup -q
#%patch0 -p1
%patch1 -p0
#%patch2 -p0
%patch3 -p1

%build
rm -f missing
%{__gettextize}
%{__autoheader}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	gnome_menudir=%{_applnkdir}/Multimedia

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc ChangeLog README TODO THANKS USERS-GUIDE
%attr(755,root,root) %{_bindir}/easytag
%{_applnkdir}/Multimedia/easytag.desktop
%{_pixmapsdir}/*
%{_datadir}/easytag
%{_mandir}/man1/*.1*
